Debian Bug report logs - #582797
libanthy0: Pulls in 13 MB of data despite it seems to need it only in some cases

version graph

Package: libm17n-0; Maintainer for libm17n-0 is Harshula Jayasuriya <harshula@debian.org>; Source for libm17n-0 is src:m17n-lib.

Reported by: Axel Beckert <abe@debian.org>

Date: Sun, 23 May 2010 18:12:01 UTC

Severity: wishlist

Merged with 582830

Fixed in version m17n-lib/1.6.3-1

Done: Harshula Jayasuriya <harshula@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, abe@debian.org, NOKUBI Takatsugu <knok@daionet.gr.jp>:
Bug#582797; Package libanthy0. (Sun, 23 May 2010 18:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
New Bug report received and forwarded. Copy sent to abe@debian.org, NOKUBI Takatsugu <knok@daionet.gr.jp>. (Sun, 23 May 2010 18:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libanthy0: Pulls in 13 MB of data despite it seems to need it only in some cases
Date: Sun, 23 May 2010 18:54:58 +0200
Package: libanthy0
Version: 9100h-6
Severity: wishlist

emacs23 depends on libm17n-0 which depends on libanthy0 which since
recently depends on the 13 MB big anthy-common. According to
http://bugs.debian.org/512204, libanthy0 depends on some files which are
now in anthy-common, taking /etc/anthy/anthy-conf (a file as small as
262 bytes) as example.

Since emacs23 worked perfectly without anthy-common before and the file
given as example doesn't take up 13 MB, I expect that for most cases
those 13 MB are an unnecessary dependency.

Therefore I suggest to downgrade the Depends of libanthy0 on
anthy-common to a Recommends. This shouldn't hurt since by default
Recommends are installed, too, but it helps those who are short with
disk space (like on the first generation of the EeePC or if you run your
system off CF or SD cards) and don't need libanthy0's functionality
despite it's compiled into an application being used.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (600, 'stable'), (500, 'testing'), (110, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libanthy0 depends on:
ii  anthy-common                  9100h-6    input method for Japanese - common
ii  libc6                         2.10.2-9   Embedded GNU C Library: Shared lib

libanthy0 recommends no packages.

libanthy0 suggests no packages.

-- no debconf information




Merged 582797 582830. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Wed, 02 Jun 2010 13:27:09 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libanthy0' to 'libm17n-0'. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Sun, 20 Feb 2011 13:27:12 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions anthy/9100h-6. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Sun, 20 Feb 2011 13:27:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Harshula Jayasuriya <harshula@gmail.com>:
Bug#582797; Package libm17n-0. (Tue, 22 Feb 2011 15:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harshula <harshula@gmail.com>:
Extra info received and forwarded to list. Copy sent to Harshula Jayasuriya <harshula@gmail.com>. (Tue, 22 Feb 2011 15:09:06 GMT) Full text and rfc822 format available.

Message #16 received at 582797@bugs.debian.org (full text, mbox):

From: Harshula <harshula@gmail.com>
To: knok@daionet.gr.jp, henrich@debian.org, gniibe@fsij.org, 582797@bugs.debian.org
Subject: libanthy0: Pulls in 13 MB of data despite it seems to need it only in some cases
Date: Wed, 23 Feb 2011 02:05:25 +1100
Hi Nokubi, Hideki, Niibe,

This whole issue is about dependencies and package sizes.

The relevant anthy dependencies are:
libanthy0 Depends on anthy-common
anthy Depends on anthy-common

The relevant m17n dependencies are:
libm17n-0 Depends on libanthy0
libm17n-0 Depends on m17n-db
m17n-db Recommends anthy

1) Upstream agreed to modify m17n-lib API to include a flag with each
input method in the list returned to the caller that states whether all
the dependencies of the input method are satisfied. It's been committed
to CVS. This allows m17n-db to only Recommend anthy instead of Depend on
it.

2) libm17n-0 Depends on libanthy0 and libanthy0 Depends on anthy-common
which is 13MBs.

3) According to http://bugs.debian.org/512204 the anthy and anthy-common
split was created because libanthy0 doesn't need all the files in both
anthy and anthy-common. The question I have for you is, does libanthy0
need all the 13MBs of files in anthy-common?

cya,
#

----------------------------------------------
Package: anthy
Installed-Size: 424
Depends: anthy-common, libanthy0 (= 9100h-8), libc6 (>= 2.7), debconf
(>= 0.5) | debconf-2.0
----------------------------------------------

----------------------------------------------
Package: anthy-common
Installed-Size: 13012
----------------------------------------------

----------------------------------------------
Package: anthy-el
Installed-Size: 216
Depends: anthy, emacs23 | emacsen
----------------------------------------------

----------------------------------------------
Package: libanthy-dev
Installed-Size: 736
Depends: libanthy0 (= 9100h-8)
----------------------------------------------

----------------------------------------------
Package: libanthy0
Installed-Size: 516
Depends: libc6 (>= 2.7), anthy-common
----------------------------------------------





Information forwarded to debian-bugs-dist@lists.debian.org, Harshula Jayasuriya <harshula@gmail.com>:
Bug#582797; Package libm17n-0. (Wed, 23 Feb 2011 01:00:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to NIIBE Yutaka <gniibe@fsij.org>:
Extra info received and forwarded to list. Copy sent to Harshula Jayasuriya <harshula@gmail.com>. (Wed, 23 Feb 2011 01:00:12 GMT) Full text and rfc822 format available.

Message #21 received at 582797@bugs.debian.org (full text, mbox):

From: NIIBE Yutaka <gniibe@fsij.org>
To: Harshula <harshula@gmail.com>
Cc: knok@daionet.gr.jp, henrich@debian.org, 582797@bugs.debian.org
Subject: Re: libanthy0: Pulls in 13 MB of data despite it seems to need it only in some cases
Date: Wed, 23 Feb 2011 09:31:46 +0900
Hello, Harshula,

2011-02-23 00:05, Harshula wrote:
> This whole issue is about dependencies and package sizes.

Thanks for your message.

> The relevant m17n dependencies are:
> libm17n-0 Depends on libanthy0
> libm17n-0 Depends on m17n-db
> m17n-db Recommends anthy
> 
> 1) Upstream agreed to modify m17n-lib API to include a flag with each
> input method in the list returned to the caller that states whether all
> the dependencies of the input method are satisfied. It's been committed
> to CVS. This allows m17n-db to only Recommend anthy instead of Depend on
> it.

I agree this part.

Further, I think that m17n-db should *not* Recommends or Suggests
anthy.  That's because there is no real reason why m17n-db/libm17n-0
depends or recommends (or even Suggests) anthy.

I would like to add some points here.

I think that the solution is not including a demonstration module of
anthy in libm17n-0.  Note that _no_ major functionality in libm17n-0
uses anthy at all, and _no_ users expect to use anthy through libm17n.
Only a demonstration module of libm17n uses anthy.  I am talking about:

	/usr/lib/m17n/1.0/libmimx-anthy.so

This module is written as a demonstration by Ken'ichi, and only used
(potentially) by /usr/bin/m17n-edit in m17n-lib-bin package, which is
also for demonstration purpose and not-for-real-use.

If it is difficult to split up libm17n-0 to libm17n-0 and (for
example) libm17n-0-module-anthy, I think that drop Build-Depends on
anthy-dev for m17n-lib would be short term solution.

> 2) libm17n-0 Depends on libanthy0 and libanthy0 Depends on anthy-common
> which is 13MBs.

Yes.  I understand the problem.  I understand dependency should be
minimized for users benefit.

> 3) According to http://bugs.debian.org/512204 the anthy and anthy-common
> split was created because libanthy0 doesn't need all the files in both
> anthy and anthy-common. The question I have for you is, does libanthy0
> need all the 13MBs of files in anthy-common?

Unfortunately yes it does.  Yes, it would be better, say, to split up
dependency.  I have tried (and still am trying) to minimize libanthy0
dependency of its dictionaries, but it is mostly hard-coded and need
major re-work/re-design.  Eventually, this will be improved, but it
will takes time.
-- 




Information forwarded to debian-bugs-dist@lists.debian.org, Harshula Jayasuriya <harshula@gmail.com>:
Bug#582797; Package libm17n-0. (Thu, 24 Feb 2011 02:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harshula <harshula@gmail.com>:
Extra info received and forwarded to list. Copy sent to Harshula Jayasuriya <harshula@gmail.com>. (Thu, 24 Feb 2011 02:00:06 GMT) Full text and rfc822 format available.

Message #26 received at 582797@bugs.debian.org (full text, mbox):

From: Harshula <harshula@gmail.com>
To: NIIBE Yutaka <gniibe@fsij.org>, 582797@bugs.debian.org
Cc: knok@daionet.gr.jp, henrich@debian.org
Subject: Re: Bug#582797: libanthy0: Pulls in 13 MB of data despite it seems to need it only in some cases
Date: Thu, 24 Feb 2011 12:57:14 +1100
Hi Niibe,

On Wed, 2011-02-23 at 09:31 +0900, NIIBE Yutaka wrote:

> 	/usr/lib/m17n/1.0/libmimx-anthy.so
> 
> This module is written as a demonstration by Ken'ichi, and only used
> (potentially) by /usr/bin/m17n-edit in m17n-lib-bin package, which is
> also for demonstration purpose and not-for-real-use.

Perhaps you are confusing the m17n ispell module with the anthy module.
m17n anthy is available to desktop users via IBus.

ispell description:
"Input method for English using ISPELL as a spell checker.
It uses the loadable module libmimx-ispell.so to communicate with
ISPELL program.  You can check the spelll of typed word by TAB
key.  Not for an actual use, but for demonstrating what can be
done by the m17n input method."

anthy description:
"Japanese input method with Anthy as a kana-kanji converter.
Typed roma-ji is at first converted to Hiragana,
and Space key converts the Hiragana sequences
to Kanji-Hiragana mixed sequence."

> If it is difficult to split up libm17n-0 to libm17n-0 and (for
> example) libm17n-0-module-anthy, I think that drop Build-Depends on
> anthy-dev for m17n-lib would be short term solution.

Upstream may move the libmimx-*.so out of m17n-lib into m17n-db.
Discussions are still ongoing.

cya,
#





Information forwarded to debian-bugs-dist@lists.debian.org, Harshula Jayasuriya <harshula@gmail.com>:
Bug#582797; Package libm17n-0. (Thu, 24 Feb 2011 03:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to NIIBE Yutaka <gniibe@fsij.org>:
Extra info received and forwarded to list. Copy sent to Harshula Jayasuriya <harshula@gmail.com>. (Thu, 24 Feb 2011 03:15:03 GMT) Full text and rfc822 format available.

Message #31 received at 582797@bugs.debian.org (full text, mbox):

From: NIIBE Yutaka <gniibe@fsij.org>
To: Harshula <harshula@gmail.com>
Cc: 582797@bugs.debian.org, knok@daionet.gr.jp, henrich@debian.org
Subject: Re: Bug#582797: libanthy0: Pulls in 13 MB of data despite it seems to need it only in some cases
Date: Thu, 24 Feb 2011 12:09:49 +0900
2011-02-24 10:57, Harshula wrote:
> Perhaps you are confusing the m17n ispell module with the anthy module.

No, I am talking about Anthy module.  Well, let me explain my background.

My native language is Japanese.  I developed Egg v4 input method for
GNU Emacs around 1997, and enhanced it to support Anthy around 2001.
When I use Emacs, I use japanese-egg-anthy input method, and this is
mostly used.  For Desktop, I have been using scim-anthy, but recently
moved to ibus-anthy.

Until last September (for approximately ten years), I was a colleague
of Ken'ichi Handa, who develops m17nlib.  My first experience with him
was about 20 years ago, for enhancement of GNU Emacs.  Yes, that's
also work to support multilingual text.

For Anthy, I managed to arrenge some fund for development of Anthy
around 2001, and have kept supporting its development since then.  But
the development became mostly dead around 2007.  Then, I decided
to maintain upstream anthy since last summer.

> m17n anthy is available to desktop users via IBus.

It is just available, like m17n-edit.  But it is not for real use,
seriously.  No one use that, except by accident.  From viepoint of
Anthy, it is not recommended, because features supported by m17n Anthy
is minimum and not well integrated to desktop usage.

> anthy description:
> "Japanese input method with Anthy as a kana-kanji converter.
> Typed roma-ji is at first converted to Hiragana,
> and Space key converts the Hiragana sequences
> to Kanji-Hiragana mixed sequence."

IMHO, this description would be better to include:

	This is a demonstration purpose (not for real use).

Since I'd understand some reason why m17n-lib has to claim "This
library support Japanese too", I don't say more.

> Upstream may move the libmimx-*.so out of m17n-lib into m17n-db.
> Discussions are still ongoing.

Good.  Partly, I'd agree.

It makes sence to move m17n-lib modules/plugins out of m17n-lib and
put them, say, independent package, m17n-modules or something.  It
would be decision by upstream, but this could be also done by package
maintainer independently.

It sounds somewhat odd to me to include modules into m17n-db, since
it is not data, but program.

If you will request upstream change for moving modules/plugins out of
m17n-lib, it would also make sence to suggest rename of modules.  Name
starts by 'lib' would be better to be changed, as it is plugin module
dynamically loaded, not linked to executable at compile time.

If you will request upstream change for this matter, could you please
include me?  That's easy way to communicate.
-- 




Information forwarded to debian-bugs-dist@lists.debian.org, Harshula Jayasuriya <harshula@gmail.com>:
Bug#582797; Package libm17n-0. (Thu, 24 Feb 2011 06:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harshula <harshula@gmail.com>:
Extra info received and forwarded to list. Copy sent to Harshula Jayasuriya <harshula@gmail.com>. (Thu, 24 Feb 2011 06:27:06 GMT) Full text and rfc822 format available.

Message #36 received at 582797@bugs.debian.org (full text, mbox):

From: Harshula <harshula@gmail.com>
To: NIIBE Yutaka <gniibe@fsij.org>
Cc: 582797@bugs.debian.org, knok@daionet.gr.jp, henrich@debian.org
Subject: Re: Bug#582797: libanthy0: Pulls in 13 MB of data despite it seems to need it only in some cases
Date: Thu, 24 Feb 2011 17:24:41 +1100
On Thu, 2011-02-24 at 12:09 +0900, NIIBE Yutaka wrote:
> 2011-02-24 10:57, Harshula wrote:

> > anthy description:
> > "Japanese input method with Anthy as a kana-kanji converter.
> > Typed roma-ji is at first converted to Hiragana,
> > and Space key converts the Hiragana sequences
> > to Kanji-Hiragana mixed sequence."
> 
> IMHO, this description would be better to include:
> 
> 	This is a demonstration purpose (not for real use).
> 
> Since I'd understand some reason why m17n-lib has to claim "This
> library support Japanese too", I don't say more.

Have you communicated this with upstream?

> > Upstream may move the libmimx-*.so out of m17n-lib into m17n-db.
> > Discussions are still ongoing.
> 
> Good.  Partly, I'd agree.
> 
> It makes sence to move m17n-lib modules/plugins out of m17n-lib and
> put them, say, independent package, m17n-modules or something.  It
> would be decision by upstream, but this could be also done by package
> maintainer independently.
> 
> It sounds somewhat odd to me to include modules into m17n-db, since
> it is not data, but program.

The more complex m17n input methods are *programs*. The ja-anthy.mim
file, in m17n-db, is the sole user of the libmimx-anthy.so. The .so is
used by ja-anthy.mim to interface to libanthy.

> If you will request upstream change for moving modules/plugins out of
> m17n-lib, it would also make sence to suggest rename of modules.  Name
> starts by 'lib' would be better to be changed, as it is plugin module
> dynamically loaded, not linked to executable at compile time.

Good point.

cya,
#





Information forwarded to debian-bugs-dist@lists.debian.org, Harshula Jayasuriya <harshula@gmail.com>:
Bug#582797; Package libm17n-0. (Sun, 06 Mar 2011 11:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harshula <harshula@gmail.com>:
Extra info received and forwarded to list. Copy sent to Harshula Jayasuriya <harshula@gmail.com>. (Sun, 06 Mar 2011 11:45:10 GMT) Full text and rfc822 format available.

Message #41 received at 582797@bugs.debian.org (full text, mbox):

From: Harshula <harshula@gmail.com>
To: NIIBE Yutaka <gniibe@fsij.org>
Cc: 582797@bugs.debian.org, knok@daionet.gr.jp, henrich@debian.org
Subject: Re: Bug#582797: libanthy0: Pulls in 13 MB of data despite it seems to need it only in some cases
Date: Sun, 06 Mar 2011 22:44:16 +1100
The plan is:

1) Subpackage the anthy and ispell mimx modules.

2) Upstream plan on renaming the modules to remove the "lib" prefix.

3) Upstream have already committed the code for m17n-lib to mark a MIM
file as not having all dependencies met. And the ibus-m17n upstream
maintainer has a patch he's posted for review to utilise the m17n-lib
changes.

cya,
#





Information forwarded to debian-bugs-dist@lists.debian.org, Harshula Jayasuriya <harshula@gmail.com>:
Bug#582797; Package libm17n-0. (Thu, 20 Oct 2011 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harshula <harshula@gmail.com>:
Extra info received and forwarded to list. Copy sent to Harshula Jayasuriya <harshula@gmail.com>. (Thu, 20 Oct 2011 02:51:03 GMT) Full text and rfc822 format available.

Message #46 received at 582797@bugs.debian.org (full text, mbox):

From: Harshula <harshula@gmail.com>
To: 582797@bugs.debian.org
Cc: knok@daionet.gr.jp, henrich@debian.org, NIIBE Yutaka <gniibe@fsij.org>
Subject: Re: Bug#582797: libanthy0: Pulls in 13 MB of data despite it seems to need it only in some cases
Date: Thu, 20 Oct 2011 13:46:23 +1100
Hi,

On Sun, 2011-03-06 at 22:44 +1100, Harshula wrote:
> The plan is:
> 
> 1) Subpackage the anthy and ispell mimx modules.

I need to create a new subpackage m17n-lib-mimx to fix Bug #582797,
since I'm a Debian Maintainer I don't have permission to upload the new
subpackage. Any chance a DD could please upload it for me?

Source package: http://harshula.com/debian/m17n-lib_1.6.3-1.dsc

> 2) Upstream plan on renaming the modules to remove the "lib" prefix.

No ETA.

> 3) Upstream have already committed the code for m17n-lib to mark a MIM
> file as not having all dependencies met. And the ibus-m17n upstream
> maintainer has a patch he's posted for review to utilise the m17n-lib
> changes.

The code is included in 1.6.3. Uncertain whether it works as
anticipated.

cya,
#





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 20 Oct 2011 19:06:11 GMT) Full text and rfc822 format available.

Reply sent to Harshula Jayasuriya <harshula@gmail.com>:
You have taken responsibility. (Fri, 21 Oct 2011 19:36:15 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Fri, 21 Oct 2011 19:36:15 GMT) Full text and rfc822 format available.

Message #53 received at 582797-close@bugs.debian.org (full text, mbox):

From: Harshula Jayasuriya <harshula@gmail.com>
To: 582797-close@bugs.debian.org
Subject: Bug#582797: fixed in m17n-lib 1.6.3-1
Date: Fri, 21 Oct 2011 19:33:48 +0000
Source: m17n-lib
Source-Version: 1.6.3-1

We believe that the bug you reported is fixed in the latest version of
m17n-lib, which is due to be installed in the Debian FTP archive:

libm17n-0-dbg_1.6.3-1_amd64.deb
  to main/m/m17n-lib/libm17n-0-dbg_1.6.3-1_amd64.deb
libm17n-0_1.6.3-1_amd64.deb
  to main/m/m17n-lib/libm17n-0_1.6.3-1_amd64.deb
libm17n-dev_1.6.3-1_amd64.deb
  to main/m/m17n-lib/libm17n-dev_1.6.3-1_amd64.deb
m17n-lib-bin_1.6.3-1_amd64.deb
  to main/m/m17n-lib/m17n-lib-bin_1.6.3-1_amd64.deb
m17n-lib-mimx_1.6.3-1_amd64.deb
  to main/m/m17n-lib/m17n-lib-mimx_1.6.3-1_amd64.deb
m17n-lib_1.6.3-1.debian.tar.gz
  to main/m/m17n-lib/m17n-lib_1.6.3-1.debian.tar.gz
m17n-lib_1.6.3-1.dsc
  to main/m/m17n-lib/m17n-lib_1.6.3-1.dsc
m17n-lib_1.6.3.orig.tar.gz
  to main/m/m17n-lib/m17n-lib_1.6.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 582797@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Harshula Jayasuriya <harshula@gmail.com> (supplier of updated m17n-lib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 15 Oct 2011 21:45:56 +1100
Source: m17n-lib
Binary: libm17n-0 libm17n-dev libm17n-0-dbg m17n-lib-bin m17n-lib-mimx
Architecture: source amd64
Version: 1.6.3-1
Distribution: unstable
Urgency: low
Maintainer: Harshula Jayasuriya <harshula@gmail.com>
Changed-By: Harshula Jayasuriya <harshula@gmail.com>
Description: 
 libm17n-0  - multilingual text processing library - runtime
 libm17n-0-dbg - multilingual text processing library - debugging symbols
 libm17n-dev - multilingual text processing library - development
 m17n-lib-bin - multilingual text processing library - utilities
 m17n-lib-mimx - multilingual text processing library - binary modules
Closes: 582797
Changes: 
 m17n-lib (1.6.3-1) unstable; urgency=low
 .
   * New upstream release 1.6.3.
   * Update Standards-Version to Debian Policy 3.9.2. (No changes)
   * locale.c.patch: drop, included in upstream.
   * add-FONTCONFIG_LD_FLAGS-to-libm17n_X_la_LIBADD.patch: drop, included
     in upstream.
   * debian/control:
       - Subpackage anthy, ispell modules into m17n-lib-mimx. (Closes: 582797)
       - m17n-lib-mimx: Depends on anthy and ispell.
   * debian/libm17n-0.symbols: added: minput_list@Base 1.6.3
Checksums-Sha1: 
 86d3d4263364bc101a4930f715e2226c99773ccd 2245 m17n-lib_1.6.3-1.dsc
 b3a725b1c417f167f6b2c6b7889b7d728a1e6b8f 1033048 m17n-lib_1.6.3.orig.tar.gz
 a9afc4bb57f5a4ec156e13b5d12c2541d68b02e1 10038 m17n-lib_1.6.3-1.debian.tar.gz
 83eca6d6c50ef767afa4c069e2e98669a1ea34d2 275752 libm17n-0_1.6.3-1_amd64.deb
 e749e85f40dbfa49e599a73d11ac80e30289770e 288052 libm17n-dev_1.6.3-1_amd64.deb
 751a455cbbc97c17e057667f80ca16e5e5374942 48384 libm17n-0-dbg_1.6.3-1_amd64.deb
 1dadd2aa9a7e031c429995d71a03ea6a5a5808b6 55248 m17n-lib-bin_1.6.3-1_amd64.deb
 b76f2217dff4a4b5f78994104b1ddd4537f10b8b 15912 m17n-lib-mimx_1.6.3-1_amd64.deb
Checksums-Sha256: 
 4f7b12b822bb97c42c8af9370d7e67a8d08e1a6cbd2f851ddd0548d75eecfd07 2245 m17n-lib_1.6.3-1.dsc
 ff5ebe09572a5e6d4a376783a78d4355f0b17a71fbaf8b01978230be7eef735e 1033048 m17n-lib_1.6.3.orig.tar.gz
 96dddbec33ec66adf9d0b18050874ac37fdabf23533beb5428a2c5ecd7015c10 10038 m17n-lib_1.6.3-1.debian.tar.gz
 0f6d4ee107ab40ed6bf0514ff6150e1b02567e9e1741bc5e2746a6b6ab3200f1 275752 libm17n-0_1.6.3-1_amd64.deb
 1841239c1db497a076f507719b92fbd4739f2d0d403b1652de23cc2f12e0697c 288052 libm17n-dev_1.6.3-1_amd64.deb
 70e888de21410c4871474e08b7428245004778ff41e6b01da2509da02005d55b 48384 libm17n-0-dbg_1.6.3-1_amd64.deb
 c344d648c1dfd9a7fcf179739e243c6b128d737bdf1a667c1cbcb79c69e62b35 55248 m17n-lib-bin_1.6.3-1_amd64.deb
 2bd653161fdee54885672cb58f7cb93c1285cf1fd8b1f1de2757b92b673f2808 15912 m17n-lib-mimx_1.6.3-1_amd64.deb
Files: 
 4f93efaa978701bfd0e2c7a449f4cc1b 2245 utils optional m17n-lib_1.6.3-1.dsc
 24c8f0a2fb167e1a0e25815c8421a2a4 1033048 utils optional m17n-lib_1.6.3.orig.tar.gz
 578f2a0592b4c23030668fa3590dc0e9 10038 utils optional m17n-lib_1.6.3-1.debian.tar.gz
 50d4bfb8e2d77518fb11d84629632fa3 275752 libs optional libm17n-0_1.6.3-1_amd64.deb
 26fa372a6795ff92616e7f6a0f1e8e40 288052 libdevel optional libm17n-dev_1.6.3-1_amd64.deb
 1d4e7a442598837a6876b90219647c77 48384 debug extra libm17n-0-dbg_1.6.3-1_amd64.deb
 a8eeefd5140f73f2425c11cb7165a470 55248 utils optional m17n-lib-bin_1.6.3-1_amd64.deb
 7faca17dd1b134483be53b07986b78b7 15912 utils optional m17n-lib-mimx_1.6.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOoFxHAAoJEB5qw/OH8O2slkYP/1AlvmhbpGkPu+s6etxsfZuo
L69bDUVSx1wET+XRECs+tmLUx+dZDj/xlfgMvBWY5y4hbWQQ6ZocpBx0AyFaUoOn
r35vs/AImZTmGj5xhVokx3Xb0XsOXT+9/c+hgcDcLlsiG/i7G2XTEcb+O6nqQWFX
4a0u2j3PKz7vpyicCPLdRAmQrxkm6xTLceZkepSX2XBly23eW3vgPPLqF6TIbXUS
JAS1L20bKPRVMcyduc9zH037UEBXhWao904VzhBdsbmQqmmqFZEhl8kmDj2wn4a8
cU5mAugMdg44I3CyaE6pie4HsQ4E7mc+ZvPgT2YzKDhCUYDmHfADg0B+XW7X+9wa
YwNXrWJN4bHpw+YSCTwOn/5F6nDEnL2w2vW1R0jtaR3yIR9qlZMFyfZVq2BYe2hf
Bf9qKvhgi6CpoR8ky1wFTszqF/tXwb2pP8Zns0oZ+sHYJbTn7xh/WtaIsNr3FEGt
vPLXKTj+aMJudC2mn7Oq6I6MWFCbM8cuaIXmiPd/5r5zM9sLGx1YLRo+qwUfn7G2
GGxoWv37Q4gyN1I4qDV11yYeFgeC6fnXZBevnCjnee+nFBBVR/lqkEBGWGRmzwB7
RWP2LNtu56m1Doe0pgQE+OkOf21qFW16DV8yt1xw3rnHnpuLqI6vcqdLkN80Lm7S
eZOjmW3gWes3J+kfLlY7
=99UC
-----END PGP SIGNATURE-----





Reply sent to Harshula Jayasuriya <harshula@gmail.com>:
You have taken responsibility. (Fri, 21 Oct 2011 19:36:16 GMT) Full text and rfc822 format available.

Notification sent to Adrian Bunk <bunk@stusta.de>:
Bug acknowledged by developer. (Fri, 21 Oct 2011 19:36:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 Nov 2011 07:35:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:24:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.